#include <stdio.h>
#include <stdlib.h>
#include "structures.h"
#include "case.h"
#include "personnage.h"
#include "deplacements.h"

personnage* init_personnage(personnage *perso, classe *c, Case *casedepart){
    perso->classe=*c;
    perso->points_deplacement=c->points_deplacement_max;
    perso->PV=c->PV_max;
    perso->position=casedepart;
    marquer_occupee(casedepart);
    return perso;
}

Case* getPosition(personnage *p){
    return p->position;
}

int get_PV(personnage *p){
    return p->PV;
}

int get_PD(personnage *p){
    return p->points_deplacement;
}

boolean est_paralyse(personnage *p){
    return p->paralyse;
}

int deplacer_personnage (personnage *perso, Case *destination){ /*dplace un personnage d'une case  une autre. Ne vrifie pas si le dplacement est autoris, cela doit tre fait par la fonction qui l'appelle*/
    marquer_libre(getPosition(perso));
    perso->position=destination;
    marquer_occupee(getPosition(perso));
}


